Description

The qgpkg extension allows to store project data (context/styling) as part of a geopackage, people may want to click such a file and qgis

opens with that file opened.

In 2.18 it is already possible to right click a gpkg, select open with qgis, and then start qgis with that file opened

However the qgpkg project info is not used.

Maybe this feature requires some aspects of qgpkg should be moved to core or is there an option to delegate opening the gpkg file to the

plugin, if the plugin is installed and project info is detected.

History

#1 - 2017-11-16 11:13 AM - Giovanni Manghi

- Category changed from Project Loading/Saving to Vectors

- Assignee deleted (Pirmin Kalberer)

#2 - 2017-11-22 06:15 PM - paul van genuchten

hi today i noticed the 2.18 has functionality to save a style on a geopackage

and indeed when this style is saved and you open the geopackage directly the layer is opened using the stored style

so part of this issue has been resolved

if also context info is stored on the geopackage, would be good to use this info to assemble the TOC automatically

we preferably use the OWC extension as defined in https://github.com/pka/qgpkg/blob/master/owc_geopackage_extension.md to store style and context

but we're open to discussion to see if the qgis approach to use the layer_styles table is more convenient.

#3 - 2017-11-23 12:48 PM - Joana Simoes

I think it would make sense to merge efforts, and support the ability of reading/writing complete project from/to a geopackage, including the style. I guess

we could change our extension to match the current QGIS approach of storing styles on layer_styles to make it more compatible, or the other way round

(does QGIS have geopackage extension specified somewhere?).

Regarding the missing bit (OWC), it could be either implemented in the QGIS core, or directly in OGR; if we do the latter, than we enable most desktop and

server side GIS software to read/write projects in geopackages.

As a plus, we could change the QGIS UI for opening/saving projects, to support geopackage in addition to QGS format (which is the only one currently

supported).

Welcoming your thoughts :-)
#4 - 2017-11-24 06:05 PM - Giovanni Manghi

Joana Simoes wrote:

I think it would make sense to merge efforts, and support the ability of reading/writing complete project from/to a geopackage, including the style. I

guess we could change our extension to match the current QGIS approach of storing styles on layer_styles to make it more compatible, or the other

way round (does QGIS have geopackage extension specified somewhere?).

Regarding the missing bit (OWC), it could be either implemented in the QGIS core, or directly in OGR; if we do the latter, than we enable most

desktop and server side GIS software to read/write projects in geopackages.

As a plus, we could change the QGIS UI for opening/saving projects, to support geopackage in addition to QGS format (which is the only one

currently supported).

Welcoming your thoughts :-)

I would really like see this discussion in the users and developers mailing list to reach a broader audience.

#5 - 2017-11-26 06:28 PM - Joana Simoes

Giovanni Manghi wrote:

Joana Simoes wrote:

I think it would make sense to merge efforts, and support the ability of reading/writing complete project from/to a geopackage, including the style. I

guess we could change our extension to match the current QGIS approach of storing styles on layer_styles to make it more compatible, or the

other way round (does QGIS have geopackage extension specified somewhere?).

Regarding the missing bit (OWC), it could be either implemented in the QGIS core, or directly in OGR; if we do the latter, than we enable most

desktop and server side GIS software to read/write projects in geopackages.

As a plus, we could change the QGIS UI for opening/saving projects, to support geopackage in addition to QGS format (which is the only one

currently supported).

Welcoming your thoughts :-)

I would really like see this discussion in the users and developers mailing list to reach a broader audience.

I was thinking to take it to the developers mailing list; do you think I should also write to the users mailing list?

#6 - 2017-11-27 11:43 PM - Giovanni Manghi

I was thinking to take it to the developers mailing list; do you think I should also write to the users mailing list?

the dev one would be just fine.

2025-05-18 2/2


